com.fasterxml.jackson.databind.deser.std

## Class UntypedObjectDeserializer.Vanilla

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<Object>
    - - com.fasterxml.jackson.databind.deser.std.UntypedObjectDeserializer.Vanilla

All Implemented Interfaces:
  NullValueProvider, ValueInstantiator.Gettable, Serializable

Enclosing class:
  UntypedObjectDeserializer

Deprecated.

    @Deprecated
    public static class UntypedObjectDeserializer.Vanilla
    extends StdDeserializer<Object>

Streamlined version of `UntypedObjectDeserializer` that has fewer checks and is only used when no custom deserializer overrides are applied.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

Fields
`protected boolean` `_nonMerging` Deprecated.
`static UntypedObjectDeserializer.Vanilla` `std` Deprecated.

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass, _valueType, F_MASK_ACCEPT_ARRAYS, F_MASK_INT_COERCIONS`

### Constructor Summary

Constructors
`` `Vanilla()` Deprecated.
`protected` `Vanilla(boolean nonMerging)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`protected Object` `_mapObjectWithDups(JsonParser p, DeserializationContext ctxt, Map<String,Object> result, String initialKey, Object oldValue, Object newValue, String nextKey)` Deprecated.
`Object` `deserialize(JsonParser p, DeserializationContext ctxt)` Deprecated. Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles.
`Object` `deserialize(JsonParser p, DeserializationContext ctxt, Object intoValue)` Deprecated. Alternate deserialization method (compared to the most commonly used, `JsonDeserializer.deserialize(JsonParser, DeserializationContext)`), which takes in initialized value instance, to be configured and/or populated by deserializer.
`Object` `deserializeWithType(JsonParser p, DeserializationContext ctxt, TypeDeserializer typeDeserializer)` Deprecated. Base implementation that does not assume specific type inclusion mechanism.
`static UntypedObjectDeserializer.Vanilla` `instance(boolean nonMerging)` Deprecated.
`LogicalType` `logicalType()` Deprecated. Method for accessing logical type of values this deserializer produces.
`protected Object` `mapArray(JsonParser p, DeserializationContext ctxt)` Deprecated.
`protected Object[]` `mapArrayToArray(JsonParser p, DeserializationContext ctxt)` Deprecated.
`protected Object` `mapObject(JsonParser p, DeserializationContext ctxt)` Deprecated.
`Boolean` `supportsUpdate(DeserializationConfig config)` Deprecated. Introspection method that may be called to see whether deserializer supports update of an existing value (aka "merging") or not.

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_byteOverflow, _checkBooleanToStringCoercion, _checkCoercionFail, _checkDoubleSpecialValue, _checkFloatSpecialValue, _checkFloatToIntCoercion, _checkFloatToStringCoercion, _checkFromStringCoercion, _checkFromStringCoercion, _checkIntToFloatCoercion, _checkIntToStringCoercion, _checkTextualNull, _checkToStringCoercion, _coerceBooleanFromInt, _coercedTypeDesc, _coerceEmptyString, _coerceIntegral, _coerceNullToken, _coerceTextualNull, _deserializeFromArray, _deserializeFromEmpty, _deserializeFromEmptyString, _deserializeFromString, _deserializeWrappedValue, _failDoubleToIntCoercion, _findCoercionFromBlankString, _findCoercionFromEmptyArray, _findCoercionFromEmptyString, _findNullProvider, _hasTextualNull, _intOverflow, _isBlank, _isEmptyOrTextualNull, _isFalse, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _isTrue, _neitherNull, _nonNullNumber, _parseBoolean, _parseBooleanFromInt, _parseBooleanPrimitive, _parseBooleanPrimitive, _parseBytePrimitive, _parseDate, _parseDate, _parseDateFromArray, _parseDouble, _parseDouble, _parseDoublePrimitive, _parseDoublePrimitive, _parseDoublePrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseInteger, _parseInteger, _parseIntPrimitive, _parseIntPrimitive, _parseLong, _parseLong, _parseLongPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _parseString, _reportFailedNullCoerce, _shortOverflow, _verifyEndArrayForSingle, _verifyNullForPrimitive, _verifyNullForPrimitiveCoercion, _verifyNullForScalarCoercion, _verifyNumberForScalarCoercion, _verifyStringForScalarCoercion, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueInstantiator, getValueType, getValueType, handledType, handleMissingEndArrayForSingle, handleNestedArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserializeWithType, findBackReference, getAbsentValue, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### std

    public static final UntypedObjectDeserializer.Vanilla std

Deprecated.

#### _nonMerging

    protected final boolean _nonMerging

Deprecated.

### Constructor Detail

#### Vanilla

    public Vanilla()

Deprecated.

#### Vanilla

    protected Vanilla(boolean nonMerging)

Deprecated.

### Method Detail

#### instance

    public static UntypedObjectDeserializer.Vanilla instance(boolean nonMerging)

Deprecated.

#### logicalType

    public LogicalType logicalType()

Deprecated.
Description copied from class: `JsonDeserializer`
Method for accessing logical type of values this deserializer produces. Typically used for further configuring handling of values, for example, to find which coercions are legal.

Overrides:
  `logicalType` in class `JsonDeserializer<Object>`
Returns:
  Logical type of values this deserializer produces, if known; `null` if not

#### supportsUpdate

    public Boolean supportsUpdate(DeserializationConfig config)

Deprecated.
Description copied from class: `JsonDeserializer`
Introspection method that may be called to see whether deserializer supports update of an existing value (aka "merging") or not. Return value should either be `Boolean.FALSE` if update is not supported at all (immutable values); `Boolean.TRUE` if update should usually work (regular POJOs, for example), or `null` if this is either not known, or may sometimes work.

Information gathered is typically used to either prevent merging update for property (either by skipping, if based on global defaults; or by exception during deserializer construction if explicit attempt made) if `Boolean.FALSE` returned, or inclusion if `Boolean.TRUE` is specified. If "unknown" case (`null` returned) behavior is to exclude property if global defaults used; or to allow if explicit per-type or property merging is defined.

Default implementation returns `null` to allow explicit per-type or per-property attempts.

Overrides:
  `supportsUpdate` in class `JsonDeserializer<Object>`

#### deserialize

    public Object deserialize(JsonParser p,
                              DeserializationContext ctxt)
                       throws IOException

Deprecated.
Description copied from class: `JsonDeserializer`
Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles. Returned instance is to be constructed by method itself.

Pre-condition for this method is that the parser points to the first event that is part of value to deserializer (and which is never JSON 'null' literal, more on this below): for simple types it may be the only value; and for structured types the Object start marker or a FIELD_NAME.

The two possible input conditions for structured types result from polymorphism via fields. In the ordinary case, Jackson calls this method when it has encountered an OBJECT_START, and the method implementation must advance to the next token to see the first field name. If the application configures polymorphism via a field, then the object looks like the following.

          {
              "@class": "class name",
              ...
          }

Jackson consumes the two tokens (the `@class` field name and its value) in order to learn the class and select the deserializer. Thus, the stream is pointing to the FIELD_NAME for the first field after the @class. Thus, if you want your method to work correctly both with and without polymorphism, you must begin your method with:

           if (p.currentToken() == JsonToken.START_OBJECT) {
             p.nextToken();
           }

This results in the stream pointing to the field name, so that the two conditions align.

Post-condition is that the parser will point to the last event that is part of deserialized value (or in case deserialization fails, event that was not recognized or usable, which may be the same event as the one it pointed to upon call).

Note that this method is never called for JSON null literal, and thus deserializers need (and should) not check for it.

Specified by:
  `deserialize` in class `JsonDeserializer<Object>`
Parameters:
  `p` - Parsed used for reading JSON content
  `ctxt` - Context that can be used to access information about this deserialization activity.
Returns:
  Deserialized value
Throws:
  `IOException`

#### deserializeWithType

    public Object deserializeWithType(JsonParser p,
                                      DeserializationContext ctxt,
                                      TypeDeserializer typeDeserializer)
                               throws IOException

Deprecated.
Description copied from class: `StdDeserializer`
Base implementation that does not assume specific type inclusion mechanism. Sub-classes are expected to override this method if they are to handle type information.

Overrides:
  `deserializeWithType` in class `StdDeserializer<Object>`
  `typeDeserializer` - Deserializer to use for handling type information
Throws:
  `IOException`

#### deserialize

    public Object deserialize(JsonParser p,
                              DeserializationContext ctxt,
                              Object intoValue)
                       throws IOException

Deprecated.
Description copied from class: `JsonDeserializer`
Alternate deserialization method (compared to the most commonly used, `JsonDeserializer.deserialize(JsonParser, DeserializationContext)`), which takes in initialized value instance, to be configured and/or populated by deserializer. Method is not necessarily used (or supported) by all types (it will not work for immutable types, for obvious reasons): most commonly it is used for Collections and Maps. It may be used both with "updating readers" (for POJOs) and when Collections and Maps use "getter as setter".

Default implementation just throws `UnsupportedOperationException`, to indicate that types that do not explicitly add support do not necessarily support update-existing-value operation (esp. immutable types)

Overrides:
  `deserialize` in class `JsonDeserializer<Object>`
Throws:
  `IOException`

#### mapArray

    protected Object mapArray(JsonParser p,
                              DeserializationContext ctxt)
                       throws IOException

Deprecated.

Throws:
  `IOException`

#### mapArrayToArray

    protected Object[] mapArrayToArray(JsonParser p,
                                       DeserializationContext ctxt)
                                throws IOException

Deprecated.

Throws:
  `IOException`

#### mapObject

    protected Object mapObject(JsonParser p,
                               DeserializationContext ctxt)
                        throws IOException

Deprecated.

Throws:
  `IOException`

#### _mapObjectWithDups

    protected Object _mapObjectWithDups(JsonParser p,
                                        DeserializationContext ctxt,
                                        Map<String,Object> result,
                                        String initialKey,
                                        Object oldValue,
                                        Object newValue,
                                        String nextKey)
                                 throws IOException

Deprecated.

Throws:
  `IOException`